Download it now!
Bug 129839 - Crash inspecting properties of cell range object in IDE
Summary: Crash inspecting properties of cell range object in IDE
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.5.0 target:6.4.0 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-06 17:31 UTC by Mike Kaganski
Modified: 2020-01-20 13:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SfxPoolItem::Which()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-01-06 17:31:33 UTC
In a new text document create a table; in this BASIC code:

> sub Crash
>   oCells = ThisComponent.getTextTables().getByIndex(0).getCellRangeByName("A1:A1")
> end sub

put breakpoint on the line "end sub". Run the code. When it pauses on the breakpoint, add variable oCells to the Watch list, and try to expand => crash.

Regression after https://git.libreoffice.org/core/+/1e2682235cded9a7cd90e55f0bfc60a1285e9a46
Comment 1 himajin100000 2020-01-06 18:33:05 UTC
Reproducible.

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 2d736e1a0a2bbd41fe7793d52bbcc7bfc89c7da3
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: ja-JP (ja_JP); UI-Language: en-US
Calc: threaded
Comment 2 Mike Kaganski 2020-01-06 18:35:14 UTC
https://gerrit.libreoffice.org/c/core/+/86291
Comment 3 Commit Notification 2020-01-06 20:41:25 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4056b70e6339102374898fff26f099da455475b1

tdf#129839: pass initialized shared_ptr to SwDoc::GetBoxAttr

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-01-09 11:13:05 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!
Comment 5 Commit Notification 2020-01-17 10:22:08 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ed7dc32834e11c93eaf21de8424d9d46c7fa0d53

tdf#129839: pass initialized shared_ptr to SwDoc::GetBoxAttr

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-18 19:31:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/a031dc687bb35aa42835e0b4aa046250795d8fc0

tdf#129839: pass initialized shared_ptr to SwDoc::GetBoxAttr

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-20 13:04:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b63257344e3808b3aec9196250929ee3384b2b4b

tdf#129839: pass initialized shared_ptr to SwDoc::GetBoxAttr

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.